-- ENDOR 批单业务数据

ENDOR
ENDOR_PLPENDORSE
ENDOR_PLPENDORSE_PLPCOMMISSIONDETAIL
ENDOR_PLPENDORSE_PLPENDORSECONTENT
ENDOR_PLPENDORSE_PLPENDORSECOMMISSION
ENDOR_PLCSOLUTION
ENDOR_PLCSOLUTION_PLCCOINS
ENDOR_PLCSOLUTION_PLCCOINS_PLCCOINSBASICINFORMATION
ENDOR_PLCSOLUTION_PLCCOINS_PLCLINKBASICINFORMAT
ENDOR_PLCSOLUTION_PLCRATION
ENDOR_PLCSOLUTION_PLCCOMMISSIONDETAIL
ENDOR_PLCCAR05
ENDOR_PLCAPPLICANT
ENDOR_PLCPUBLICINSURANT
ENDOR_PLCSALES
ENDOR_PLCBASIC


来源：
(
	endorseNo           String ,                        -- 1 批单号
	businessOffice      String ,                        -- 新核心车险批单-保单归属机构代码
	productCode         String ,                        -- 新核心车险批单-险种代码
    businessNatureCode  String ,                        -- 新核心车险批单-业务来源
	channelType         String ,    					-- 5 渠道类型
	uwConclueDate       String ,                        -- 6 核批完成时间
	plpEndorse   row(
	     endorseEffectiveTime         String ,					 -- 7 批单生效日期
		 staCurAmountVariation        String ,                  -- 10 变化保险金额
		 staCurPremiumVariation       String ,                  -- 11 不含税变化保险费
	     staCurNetPremiumVariation    String ,                  -- 12 含税变化保险费
		 staCurTaxFeeVariation        String ,                  -- 13 税
		 plpCommissionDetail   array<row(
		      agentFeeVariation             String ,                  -- 16 份额含税手续费变化量
			  agentNetFeeVariation          String                    -- 17 份额不含税手续费变化量
		)>,
		netPremiumVariation           String ,                  -- 不含税保费变化量
		endorsePolicyTime             String ,                  -- 指标新增_批单指标统计日期
		amountVariation               String ,                  -- 指标新增_保额变化量
        premiumVariation              String                    -- 指标新增_含税保费变化量
        plpEndorseContent array<row(
            endorseTypeCode              String                         -- 质量校验_批改类型代码
        )> ,
        plpEndorseCommission array<row(
            clauseName                   String                         -- 质量校验_条款名称
        )> ,
        endorseTypeCode              Stirng ,                       -- 质量校验_批改类型
        endorseApplyTime             String ,                       -- 质量校验_批改申请时间
        endorseApplicantName         String ,                       -- 质量校验_批改申请人名称
        uwConclueDate                String ,                       -- 质量校验_核批通过时间
        endorseCategoryCode          String ,   -- 下发新增_批改类型编码
        endorseCategoryName          String ,   -- 下发新增_批改类型名称

	),
    recordClerkCode     String ,                       -- 14 归属业务员ID
	recordClerkName     String ,                       -- 15 归属业务员名称
	businessChannelCode String ,                       -- 27 新核心车险批单-清分后渠道
	businessChannelName String ,                       -- 28 业务渠道名
    newPolicyFlag       String ,                       -- 20 新核心车险批单-新保标识 1:是，0：否
	autoTransrenewFlag  String ,                       -- 21 新核心车险批单-自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag  String ,                       -- 22 新核心车险批单-转保标识1:是，0：否
	transrenewFlag      String ,                       -- 23 新核心车险批单-续保标识 1:是，4：跨险种续保，0：否
	policyCreatDate     String ,                       -- 新核心车险批单-核保通过时间
    plcSolution  array<row(
        plcCoins    row(
		     plcCoinsBasicInformation array<row(                           -- 共保信息
		         coinsRate                  String ,                       -- 非车险共保比例
                 coinsIdentity              String ,                       -- 共保我方标记 = 1 时共保我方
                 coinsCode                  String ,                       -- 指标新增_共保标识代码 0 非共保  1，主共，2从共,车险无共保，仅有联保
                 coinsLinkCode              String                         -- 指标新增_联保标志代码 0 非联保  3，主联，4从联
		     )>,
		     plcLinkBasicInformat array<row(                               -- 联保信息
		         coinsRate                  String ,                       -- 非车险共保比例
                 coinsIdentity              String ,                       -- 共保我方标记 = 1 时共保我方
                 coinsCode                  String ,                       -- 指标新增_共保标识代码 0 非共保  1，主共，2从共,车险无共保，仅有联保
                 coinsLinkCode              String                         -- 指标新增_联保标志代码 0 非联保  3，主联，4从联
		     )>
		 ),
		 PlcRation  row(
            artifSelfPricesRat      String ,                       -- 新核心车险批单-自主定价系数
            artifReviewPrem         String                         -- 新核心车险批单-总保费
        ),
        plcCommissionDetail array<row(
            agentFee                String ,                       -- 新核心车险批单-手续费含税金额
            agentNetFee             String                         -- 新核心车险批单-手续费不含税金额
        )>
    )>,
	policyNo             String ,                       -- 新核心车险批单-保单号
	businessOfficeName   String ,                       -- 新核心车险批单-保单归属机构名称
	startTime            String ,                       -- 新核心车险批单-起保时间
	endTime              String ,                       -- 新核心车险批单-终保时间
	netPremium           String ,                       -- 新核心车险批单-不含税保费
	premium              String ,                      -- 新核心车险批单-含税保费
	plcCar05 row(
	    licensePlateNo      String ,                       -- 新核心车险批单-车牌号
	    frameNo             String ,                       -- 新核心车险批单-车架号
	    vehicleId           String ,                       -- 新核心车险批单-车型
	    newVehicleFlag      String ,                       -- 新核心车险批单-新车标识
	    carUserNatureCode   String ,                       -- 新核心车险批单-车辆使用性质
	    carKindCode         String ,                       -- 新核心车险批单-车辆种类
        vehiclecode         String ,                       -- 新核心车险批单-车型(用这个)
        newCarFlag          String ,                       -- 新核心车险批单-新车标识(用这个)
		energyTypesCode             String ,                         -- 下发新增_能源种类编码
		energyTypes                 String ,                         -- 下发新增_能源种类名称
		secondhandcarflag           String ,                         -- 下发新增_是否二手车
	),
	plcApplicant array<row(
	    customerName    String                        -- 新核心车险批单-投保人名称
	)>,
	plcPublicInsurant array<row(
	    customerName    String                        -- 新核心车险批单-被保人名称
	)>,
	saleaman            String,                       -- 新核心车险批单-代理机构代码
	saleamanName        String,                       -- 新核心车险批单-代理机构名称
	policySort          String,                       -- 新核心车险批单-保单种类
    sigAndStaExchangeRate       String ,			  -- 8 到人民币汇率 除了粤港车，车险没有存汇率，模型默认0

    log_time                                          -- 加工平台处理数据时间 非json本身字段

    signDate                    String ,                       -- 指标新增_保单统计日期
    endorseTime                 String ,                       -- 指标新增_批单计算起保时间
    mainSalesmanCode            String ,                       -- 指标新增_归属业务员ID
    mainSalesmanName            String ,                       -- 指标新增_归属业务员名称
    coinsCode                   String ,                       -- 指标新增_共保标识代码 0 非共保  1，主共，2从共,车险无共保，仅有联保
    coinsLinkCode               String ,                       -- 指标新增_联保标志代码 0 非联保  3，主联，4从联
    actualId                    String ,                       -- 指标新增_唯一标识需验证
    businessNo                  String ,                       -- 业务单号
    plcSales array<row(
        handlerCode String ,        -- 寿险销售人员代码
        handlerName String ,        -- 寿险销售人员名称
        salesmanCode  String ,      -- 归属业务员代码
        salesmanCodeName String     -- 归属业务员名称
    )> ,
    plcBasic row(
        insurantName                , -- 非车下发_被保人名称
        insurantIdentifyType        , -- 非车下发_证件类型
        insurantIdentifyNumber        -- 非车下发_被保人统一社会信用代码
    ),
    handlerCode String ,        -- 寿险销售人员代码
    handlerName String ,        -- 寿险销售人员名称
    amount      String ,        -- 新增下发_保额
)





