-- RZ_CK_DETAIL_QUANTILE RZ_CK_DETAIL_单位时间内访问时间排序


-- DETAIL_QUANTILE_AGENTID 单位时间内访问时间排序按应用统计
insert into RZ_CK.RZ_CK_MYSQL.DETAIL_QUANTILE_AGENTID
SELECT
     `applicationname`
    ,`agentid`        
    ,`time`           
    ,`quantile50`  
    ,`quantile75`  
    ,`quantile95`  
    ,`quantile99`  
    ,`createtime`  
    ,DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')  as log_time
from  RZ_CK.RZ_CK_KAFKA.DETAIL_QUANTILE_AGENTID   -- topic QUANTILE_AGENTID
;


-- DETAIL_QUANTILE_APP 单位时间内访问时间排序按集群统计
insert into RZ_CK.RZ_CK_MYSQL.DETAIL_QUANTILE_APP
SELECT
     `applicationname`
    ,`time`
    ,`quantile50`
    ,`quantile75`
    ,`quantile95`
    ,`quantile99`
    ,`createtime`
    ,DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')  as log_time
from RZ_CK.RZ_CK_KAFKA.DETAIL_QUANTILE_APP  -- topic QUANTILE_APP
;







