-- ZB_CK_CHECK_CBDATA ZB_CK_核对CBDATA不匹配清单
insert into ZB_CK.ZB_CK_MYSQL.CHECK_CBDATA
select
	s1.uwConclueDate       ,
	s1.startTime           ,
	s1.COMCODE             ,
	s1.COMNAME             ,
	s1.LEVEL1COMCODE       ,
	s1.LEVEL2COMCODE       ,
	s1.LEVEL3COMCODE       ,
	s1.LEVEL4COMCODE       ,
	s1.LEVEL5COMCODE       ,
	s1.risk                ,
	s1.classcode           ,
	s1.chnl                ,
	s1.businessNatureCode  ,
	s1.cost                ,
	s1.`no`                ,
	s1.xxzflag             ,
	s1.`id`                ,
	s1.`flag`              ,
	s1.log_time
from (
	select * from ZB_CK.ZB_CK_MYSQL.KAFKA_CBDATA
	where uwConclueDate = DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyyMMdd')
	and cast(cost as decimal(18,2)) <> 0
) s1
left join (
	select * from ZB_CK.ZB_CK_ORACLE_ANAQUERY.WEB_REALTIME_BUSINESS_INFO
	where UNDERWRITEENDDATE like concat(DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyy-MM-dd'),'%')
	and LOADDATE like concat(DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyy-MM-dd'),'%')
	and cast(BAOFEI as decimal(18,2)) <> 0
) s2
on s1.`no` = s2.BUSINESSNO
and s1.COMCODE = s2.COMCODE
and cast(s1.cost as decimal(18,2)) - cast(s2.BAOFEI as decimal(18,2)) between -1.0 and 1.0
where s2.BUSINESSNO is null
;