-- ZB_DM_GSDD ZB_DM_承保归属人员和大单


-- ZB_DM_GSYWRNQNBFPM ZB_DM_归属业务人员当日签单保费排名

-- allrybf/日期
-- 取TOP20 按代理人当天出单保费和排序


-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('allrybf/',s1.`uwConclueDate`) as `key`
     ,topNUDF(
        CONCAT('allrybf/',s1.`uwConclueDate`)
    ,cast(s1.`cost` AS VARCHAR )
    ,concat(
             'com'      ,':'  ,`com`      ,','
            ,'comname'  ,':'  ,`comname`  ,','
            ,'id'       ,':'  ,`id`       ,','
            ,'name'     ,':'  ,`name`     ,','
            ,'cost'     ,':'  ,`cost`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                      as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL1COMCODE`                     as `group_com`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`id`                                as `id`
              ,d1.`name`                              as `name`
              ,cast(d1.`cost` AS VARCHAR )            as `cost`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where `COMNAME` is not null
           and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
;


-- 分公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('provrybf/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('provrybf/',s1.`uwConclueDate`,'/',s1.`group_com`)
    ,cast(s1.`cost` AS VARCHAR )
    ,concat(
             'com'      ,':'  ,`com`      ,','
            ,'comname'  ,':'  ,`comname`  ,','
            ,'city'     ,':'  ,`city`     ,','
            ,'cityname' ,':'  ,`cityname` ,','
            ,'id'       ,':'  ,`id`       ,','
            ,'name'     ,':'  ,`name`     ,','
            ,'cost'     ,':'  ,`cost`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                                      as `val`
from (
         select
             d1.`uwConclueDate`                  as `uwConclueDate`
              ,d1.`LEVEL1COMCODE`                  as `group_com`
              ,d1.`LEVEL1COMCODE`                  as `com`
              ,d1.`LEVEL1COMDESC`                  as `comname`
              ,d1.`LEVEL2COMCODE`                  as `city`
              ,d1.`LEVEL2COMDESC`                  as `cityname`
              ,d1.`id`                             as `id`
              ,d1.`name`                           as `name`
              ,cast(d1.`cost` AS VARCHAR )         as `cost`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA  d1
         where `COMNAME` is not null
           and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('cityrybf/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('cityrybf/',s1.`uwConclueDate`,'/',s1.`group_com`)
    ,cast(s1.`cost` AS VARCHAR )
    ,concat(
             'com'         ,':'  ,`com`         ,','
            ,'comname'     ,':'  ,`comname`     ,','
            ,'city'        ,':'  ,`city`        ,','
            ,'cityname'    ,':'  ,`cityname`    ,','
            ,'country'     ,':'  ,`country`     ,','
            ,'countryname' ,':'  ,`countryname` ,','
            ,'id'          ,':'  ,`id`          ,','
            ,'name'        ,':'  ,`name`        ,','
            ,'cost'        ,':'  ,`cost`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                                      as `val`
from (
         select
             d1.`uwConclueDate`                  as `uwConclueDate`
              ,d1.`LEVEL2COMCODE`                  as `group_com`
              ,d1.`LEVEL1COMCODE`                  as `com`
              ,d1.`LEVEL1COMDESC`                  as `comname`
              ,d1.`LEVEL2COMCODE`                  as `city`
              ,d1.`LEVEL2COMDESC`                  as `cityname`
              ,d1.`LEVEL3COMCODE`                  as `country`
              ,d1.`LEVEL3COMDESC`                  as `countryname`
              ,d1.`id`                             as `id`
              ,d1.`name`                           as `name`
              ,cast(d1.`cost` AS VARCHAR )         as `cost`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where `COMNAME` is not null
           and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
;







-- ZB_DM_CXCBDD ZB_DM_车险承保大单
-- bigcbd/日期
-- 核保或者核批时间在今天，按照保费或者未决赔款排序，取前10，车险riskcode 05开头，其他为非车，

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigcbd/',s1.`uwConclueDate`) as `key`
     ,topNUDF(
        CONCAT('bigcbd/',s1.`uwConclueDate`)
    ,`cost`
    ,concat(
             'com'      ,':'  ,`com`      ,','
            ,'comname'  ,':'  ,`comname`  ,','
            ,'risk'     ,':'  ,`risk`     ,','
            ,'riskname' ,':'  ,`riskname` ,','
            ,'chnl'     ,':'  ,`chnl`     ,','
            ,'chnlname' ,':'  ,`chnlname` ,','
            ,'cost'     ,':'  ,`cost`     ,','
            ,'no'       ,':'  ,`no`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                  as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) ='05'
     ) s1
;



-- 分公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigccitybd/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('bigccitybd/',s1.`uwConclueDate`,'/',s1.`group_com`)
    ,`cost`
    ,concat(
             'com'      ,':'  ,`com`      ,','
            ,'comname'  ,':'  ,`comname`  ,','
            ,'city'     ,':'  ,`city`     ,','
            ,'cityname' ,':'  ,`cityname` ,','
            ,'risk'     ,':'  ,`risk`     ,','
            ,'riskname' ,':'  ,`riskname` ,','
            ,'chnl'     ,':'  ,`chnl`     ,','
            ,'chnlname' ,':'  ,`chnlname` ,','
            ,'cost'     ,':'  ,`cost`     ,','
            ,'no'       ,':'  ,`no`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                                        as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL1COMCODE`                     as `group_com`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`LEVEL2COMCODE`                     as `city`
              ,d1.`LEVEL2COMDESC`                     as `cityname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) ='05'
     ) s1
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigccountrybd/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('bigccountrybd/',s1.`uwConclueDate`,'/',s1.`group_com`)
    ,`cost`
    ,concat(
             'com'         ,':'  ,`com`         ,','
            ,'comname'     ,':'  ,`comname`     ,','
            ,'city'        ,':'  ,`city`        ,','
            ,'cityname'    ,':'  ,`cityname`    ,','
            ,'country'     ,':'  ,`country`     ,','
            ,'countryname' ,':'  ,`countryname` ,','
            ,'risk'        ,':'  ,`risk`        ,','
            ,'riskname'    ,':'  ,`riskname`    ,','
            ,'chnl'        ,':'  ,`chnl`        ,','
            ,'chnlname'    ,':'  ,`chnlname`    ,','
            ,'cost'        ,':'  ,`cost`        ,','
            ,'no'          ,':'  ,`no`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                                            as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL2COMCODE`                     as `group_com`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`LEVEL2COMCODE`                     as `city`
              ,d1.`LEVEL2COMDESC`                     as `cityname`
              ,d1.`LEVEL3COMCODE`                     as `country`
              ,d1.`LEVEL3COMDESC`                     as `countryname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) ='05'
     ) s1
;


-- 县支
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
      CONCAT('bigcteambd/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
            CONCAT('bigcteambd/',s1.`uwConclueDate`,'/',s1.`group_com`)
            ,`cost`
            ,concat(
                     'com'         ,':'  ,`com`         ,','
                    ,'comname'     ,':'  ,`comname`     ,','
                    ,'city'        ,':'  ,`city`        ,','
                    ,'cityname'    ,':'  ,`cityname`    ,','
                    ,'country'     ,':'  ,`country`     ,','
                    ,'countryname' ,':'  ,`countryname` ,','
                    ,'team'     ,':'  ,`team`     ,','
                    ,'teamname' ,':'  ,`teamname` ,','
                    ,'risk'        ,':'  ,`risk`        ,','
                    ,'riskname'    ,':'  ,`riskname`    ,','
                    ,'chnl'        ,':'  ,`chnl`        ,','
                    ,'chnlname'    ,':'  ,`chnlname`    ,','
                    ,'cost'        ,':'  ,`cost`        ,','
                    ,'no'          ,':'  ,`no`
                    )
            ,20
            ,s1.`uwConclueDate`
    )                                                            as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL3COMCODE`                     as `group_com`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`LEVEL2COMCODE`                     as `city`
              ,d1.`LEVEL2COMDESC`                     as `cityname`
              ,d1.`LEVEL3COMCODE`                     as `country`
              ,d1.`LEVEL3COMDESC`                     as `countryname`
              ,d1.`LEVEL4COMCODE`                     as `team`
              ,d1.`LEVEL4COMDESC`                     as `teamname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) ='05'
     ) s1
;



-- ZB_DM_FCXCBDD ZB_DM_非车险承保大单
-- bigfcbd/日期
-- 核保或者核批时间在今天，按照保费或者未决赔款排序，取前10，车险riskcode 05开头，其他为非车，

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigfcbd/',s1.`uwConclueDate`) as `key`
     ,topNUDF(
        CONCAT('bigfcbd/',s1.`uwConclueDate`)
    ,`cost`
    ,concat(
             'com'      ,':'  ,`com`      ,','
            ,'comname'  ,':'  ,`comname`  ,','
            ,'risk'     ,':'  ,`risk`     ,','
            ,'riskname' ,':'  ,`riskname` ,','
            ,'chnl'     ,':'  ,`chnl`     ,','
            ,'chnlname' ,':'  ,`chnlname` ,','
            ,'cost'     ,':'  ,`cost`     ,','
            ,'no'       ,':'  ,`no`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                    as `val`
from (
         select
             d1.`uwConclueDate`                      as `uwConclueDate`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) <>'05'
     ) s1
;



-- 分公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigfccitybd/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('bigfccitybd/',s1.`uwConclueDate`,'/',s1.`group_com`)
    ,`cost`
    ,concat(
             'com'      ,':'  ,`com`      ,','
            ,'comname'  ,':'  ,`comname`  ,','
            ,'city'     ,':'  ,`city`     ,','
            ,'cityname' ,':'  ,`cityname` ,','
            ,'risk'     ,':'  ,`risk`     ,','
            ,'riskname' ,':'  ,`riskname` ,','
            ,'chnl'     ,':'  ,`chnl`     ,','
            ,'chnlname' ,':'  ,`chnlname` ,','
            ,'cost'     ,':'  ,`cost`     ,','
            ,'no'       ,':'  ,`no`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                                           as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL1COMCODE`                     as `group_com`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`LEVEL2COMCODE`                     as `city`
              ,d1.`LEVEL2COMDESC`                     as `cityname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) <>'05'

     ) s1
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigfccountrybd/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('bigfccountrybd/',s1.`uwConclueDate`,'/',s1.`group_com`)
    ,`cost`
    ,concat(
             'com'         ,':'  ,`com`         ,','
            ,'comname'     ,':'  ,`comname`     ,','
            ,'city'        ,':'  ,`city`        ,','
            ,'cityname'    ,':'  ,`cityname`    ,','
            ,'country'     ,':'  ,`country`     ,','
            ,'countryname' ,':'  ,`countryname` ,','
            ,'risk'        ,':'  ,`risk`        ,','
            ,'riskname'    ,':'  ,`riskname`    ,','
            ,'chnl'        ,':'  ,`chnl`        ,','
            ,'chnlname'    ,':'  ,`chnlname`    ,','
            ,'cost'        ,':'  ,`cost`        ,','
            ,'no'          ,':'  ,`no`
            )
    ,20
    ,s1.`uwConclueDate`
    )                                                           as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL2COMCODE`                     as `group_com`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`LEVEL2COMCODE`                     as `city`
              ,d1.`LEVEL2COMDESC`                     as `cityname`
              ,d1.`LEVEL3COMCODE`                     as `country`
              ,d1.`LEVEL3COMDESC`                     as `countryname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) <>'05'
     ) s1

;


-- 县支
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
      CONCAT('bigfcteambd/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
            CONCAT('bigfcteambd/',s1.`uwConclueDate`,'/',s1.`group_com`)
            ,`cost`
            ,concat(
                     'com'         ,':'  ,`com`         ,','
                    ,'comname'     ,':'  ,`comname`     ,','
                    ,'city'        ,':'  ,`city`        ,','
                    ,'cityname'    ,':'  ,`cityname`    ,','
                    ,'country'     ,':'  ,`country`     ,','
                    ,'countryname' ,':'  ,`countryname` ,','
                    ,'team'     ,':'  ,`team`     ,','
                    ,'teamname' ,':'  ,`teamname` ,','
                    ,'risk'        ,':'  ,`risk`        ,','
                    ,'riskname'    ,':'  ,`riskname`    ,','
                    ,'chnl'        ,':'  ,`chnl`        ,','
                    ,'chnlname'    ,':'  ,`chnlname`    ,','
                    ,'cost'        ,':'  ,`cost`        ,','
                    ,'no'          ,':'  ,`no`
                    )
            ,20
            ,s1.`uwConclueDate`
    )                                                           as `val`
from (
         select
             d1.`uwConclueDate`                     as `uwConclueDate`
              ,d1.`LEVEL3COMCODE`                     as `group_com`
              ,d1.`LEVEL1COMCODE`                     as `com`
              ,d1.`LEVEL1COMDESC`                     as `comname`
              ,d1.`LEVEL2COMCODE`                     as `city`
              ,d1.`LEVEL2COMDESC`                     as `cityname`
              ,d1.`LEVEL3COMCODE`                     as `country`
              ,d1.`LEVEL3COMDESC`                     as `countryname`
              ,d1.`LEVEL4COMCODE`                     as `team`
              ,d1.`LEVEL4COMDESC`                     as `teamname`
              ,d1.`risk`                              as `risk`
              ,d1.`riskname`                          as `riskname`
              ,d1.`chnl`                              as `chnl`
              ,d1.`chnlname`                          as `chnlname`
              ,cast(d1.`cost` as varchar)             as `cost`
              ,d1.`no`                                as `no`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
         where d1.`COMNAME` is not null
           and d1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and left(d1.risk,2) <>'05'
     ) s1

;