-- CK_ODS_CKODSNOCARPOLICY CK_ODS_保单非车业务数据
insert into CK_ODS.CK_ODS_KAFKA.CKODSNOCARPOLICY -- topic CKODSNOCARPOLICY
select
      s1.policyNo                             as policyNo                 -- 保单号
    , s1.businessNo                           as businessNo               -- 业务号
    , s1.businessOffice                       as businessOffice           -- 保单归属机构代码
    , s1.productCode                          as productCode              -- 险种代码
    , s1.netPremium                           as netPremium               -- 保费（不含税）
    , s1.premium                              as premium                  -- 保费（含税）
    , s1.taxFee                               as taxFee                   -- 增值税税额
    , s1.amount                               as amount                   -- 保额
	, DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')      as log_time  -- 加工平台处理数据时间

from CK_ODS.CK_ODS_KAFKA.POLICY s1
where left( s1.productCode ,2) <> '05'
;