-- ZB_DM_FCXWJDD ZB_DM_非车未决大单
-- bigfclpbdt/日期
-- 估损调整日期在今天，按照估损金额排序，取前20，车险riskcode 05开头，其他为非车，


-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigfclpbdt/',s1.`setdate`) as `key`
     ,topNUDF(
        CONCAT('bigfclpbdt/',s1.`setdate`)
    ,s1.`cost`
    ,concat(
                'com'      ,':'  ,coalesce(s1.`com`,' ')      ,','
            ,'maincom'  ,':'  ,coalesce(s1.`maincom`,' ')  ,','
            ,'no'       ,':'  ,coalesce(s1.`no`,' ')       ,','
            ,'claimno'  ,':'  ,coalesce(s1.`claimno`,' ')  ,','
            ,'cost'     ,':'  ,coalesce(s1.`cost`,' ')     ,','
            ,'comname'  ,':'  ,coalesce(s1.`comname`,' ')  ,','
            ,'chnl'     ,':'  ,coalesce(s1.`chnl`,' ')     ,','
            ,'mainkey'  ,':'  ,coalesce(s1.`mainkey`,' ')  ,','
            ,'riskname' ,':'  ,coalesce(s1.`riskname`,' ') ,','
            ,'chnlname' ,':'  ,coalesce(s1.`chnlname`,' ') ,','
            ,'risk'     ,':'  ,coalesce(s1.`risk`,' ')
            )
    ,20
    ,s1.`setdate`
    )                                   as `val`
from (
         select
             d1.`setdate`                                             as `setdate`
              ,d1.`LEVEL1COMCODE`                                      as `com`
              ,d1.`LEVEL1COMDESC`                                      as `comname`
              ,d1.`LEVEL1COMCODE`                                      as `maincom`
              ,d1.`no`                                                 as `no`
              ,d1.`claimno`                                            as `claimno`
              ,d1.`lossamout`                                          as `cost`
              ,d1.`chnl`                                               as `chnl`
              ,d1.`chnlname`                                           as `chnlname`
              ,CONCAT(d1.`LEVEL1COMCODE`,'/',d1.`claimno`,'/',d1.`no`) as `mainkey`
              ,d1.`risk`                                               as `risk`
              ,d1.`riskname`                                           as `riskname`
         from ZB_ODS.ZB_ODS_KAFKA.LPDATA d1
         where d1.`COMNAME` is not null
           and d1.`flag` in ('wj','yjwj')
           and LEFT(d1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and LEFT(d1.`risk`,2) <> '05'
     ) s1
;



-- 分公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigfcitylpbdt/',s1.`setdate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('bigfcitylpbdt/',s1.`setdate`,'/',s1.`group_com`)
    ,s1.`cost`
    ,concat(
                'com'      ,':'  ,coalesce(s1.`com`,' ')      ,','
            ,'maincom'  ,':'  ,coalesce(s1.`maincom`,' ')  ,','
            ,'city'     ,':'  ,coalesce(s1.`city`,' ')     ,','
            ,'cityname' ,':'  ,coalesce(s1.`cityname`,' ') ,','
            ,'no'       ,':'  ,coalesce(s1.`no`,' ')       ,','
            ,'claimno'  ,':'  ,coalesce(s1.`claimno`,' ') ,','
            ,'cost'     ,':'  ,coalesce(s1.`cost`,' ')     ,','
            ,'comname'  ,':'  ,coalesce(s1.`comname`,' ')  ,','
            ,'chnl'     ,':'  ,coalesce(s1.`chnl`,' ')     ,','
            ,'mainkey'  ,':'  ,coalesce(s1.`mainkey`,' ')  ,','
            ,'riskname' ,':'  ,coalesce(s1.`riskname`,' ') ,','
            ,'chnlname' ,':'  ,coalesce(s1.`chnlname`,' ') ,','
            ,'risk'     ,':'  ,coalesce(s1.`risk`,' ')
            )
    ,20
    ,s1.`setdate`
    )                                                       as `val`
from (
         select
             d1.`setdate`                                       as `setdate`
              ,d1.`LEVEL1COMCODE`                                 as `group_com`
              ,d1.`LEVEL2COMCODE`                                 as `com`
              ,d1.`LEVEL1COMDESC`                                 as `comname`
              ,d1.`LEVEL2COMCODE`                                 as `maincom`
              ,d1.`LEVEL2COMCODE`                                 as `city`
              ,d1.`LEVEL2COMDESC`                                 as `cityname`
              ,d1.`no`                                            as `no`
              ,d1.`claimno`                                       as `claimno`
              ,d1.`lossamout`                                     as `cost`
              ,d1.`chnl`                                          as `chnl`
              ,d1.`chnlname`                                      as `chnlname`
              ,CONCAT(d1.`LEVEL1COMCODE`,'/',d1.`claimno`,'/',d1.`no`)      as `mainkey`
              ,d1.`risk`                                          as `risk`
              ,d1.`riskname`                                      as `riskname`
         from ZB_ODS.ZB_ODS_KAFKA.LPDATA d1
         where d1.`COMNAME` is not null
           and d1.`flag` = 'wj'
           and LEFT(d1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and LEFT(d1.`risk`,2) <> '05'
     ) s1

;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('bigfcountrylpbdt/',s1.`setdate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
        CONCAT('bigfcountrylpbdt/',s1.`setdate`,'/',s1.`group_com`)
    ,s1.`cost`
    ,concat(
                'com'         ,':'  ,coalesce(s1.`com`,' ')         ,','
            ,'maincom'     ,':'  ,coalesce(s1.`maincom`,' ')     ,','
            ,'city'        ,':'  ,coalesce(s1.`city`,' ')        ,','
            ,'cityname'    ,':'  ,coalesce(s1.`cityname`,' ')    ,','
            ,'country'     ,':'  ,coalesce(s1.`country`,' ')     ,','
            ,'countryname' ,':'  ,coalesce(s1.`countryname`,' ') ,','
            ,'no'          ,':'  ,coalesce(s1.`no`,' ')          ,','
            ,'claimno'     ,':'  ,coalesce(s1.`claimno`,' ')     ,','
            ,'cost'        ,':'  ,coalesce(s1.`cost`,' ')        ,','
            ,'comname'     ,':'  ,coalesce(s1.`comname`,' ')     ,','
            ,'chnl'        ,':'  ,coalesce(s1.`chnl`,' ')        ,','
            ,'mainkey'     ,':'  ,coalesce(s1.`mainkey`,' ')     ,','
            ,'riskname'    ,':'  ,coalesce(s1.`riskname`,' ')    ,','
            ,'chnlname'    ,':'  ,coalesce(s1.`chnlname`,' ')    ,','
            ,'risk'        ,':'  ,coalesce(s1.`risk`,' ')
            )
    ,20
    ,s1.`setdate`
    )                                                       as `val`
from (
         select
             d1.`setdate`                                            as `setdate`
              ,d1.`LEVEL2COMCODE`                                      as `group_com`
              ,d1.`LEVEL3COMCODE`                                      as `com`
              ,d1.`LEVEL1COMDESC`                                      as `comname`
              ,d1.`LEVEL3COMCODE`                                      as `maincom`
              ,d1.`LEVEL2COMCODE`                                      as `city`
              ,d1.`LEVEL2COMDESC`                                      as `cityname`
              ,d1.`LEVEL3COMCODE`                                      as `country`
              ,d1.`LEVEL3COMDESC`                                      as `countryname`
              ,d1.`no`                                                 as `no`
              ,d1.`claimno`                                            as `claimno`
              ,d1.`lossamout`                                          as `cost`
              ,d1.`chnl`                                               as `chnl`
              ,d1.`chnlname`                                           as `chnlname`
              ,CONCAT(d1.`LEVEL1COMCODE`,'/',d1.`claimno`,'/',d1.`no`) as `mainkey`
              ,d1.`risk`                                               as `risk`
              ,d1.`riskname`                                           as `riskname`
         from ZB_ODS.ZB_ODS_KAFKA.LPDATA d1
         where d1.`COMNAME` is not null
           and d1.`flag` = 'wj'
           and LEFT(d1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
           and LEFT(d1.`risk`,2) <> '05'
     ) s1
;