{
"systemName": "流计算平台",
"systemCode": "D030",
"msgName": "车险理赔环节信息",
"sendTime": "${.now?string("yyyy-MM-dd HH:mm:ss")}",
"data": {
  "riskName":"${riskName!}" <#-- "xx",//险种名称 -->,
  "deptName":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if actualData.prplcregist?size gt s1?index && s1.deptName?? && s1.deptName!="" && a =="1">|</#if>${s1.deptName!}<#if s1.deptName?? && s1.deptName!=""><#assign a="1" /></#if></#list></#if>" <#-- "xx",//理赔机构名称 -->,
  "licenseNo":"${licenseNo!}" <#-- "xx",//车牌号 -->,
  "accidentNo":"${actualData.accidentNo!}" <#-- "xx",//事故号 -->,
  "latitude":"<#if actualData.prplcdamage??><#if actualData.prplcdamage.prpldamageaddress??>${actualData.prplcdamage.prpldamageaddress.latitude!}</#if></#if>" <#-- "xx",//纬度 -->,
  "policyNo":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if actualData.prplcregist?size gt s1?index && s1.policyNo?? && s1.policyNo!="" && a=="1">|</#if>${s1.policyNo!}<#if s1.policyNo?? && s1.policyNo!=""><#assign a="1" /></#if></#list></#if>" <#-- "xx",//保单号 -->,
  "thridClaimComCode":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if actualData.prplcregist?size gt s1?index && s1.thridClaimComCode?? && s1.thridClaimComCode!="" && a=="1">|</#if>${s1.thridClaimComCode!}<#if s1.thridClaimComCode?? && s1.thridClaimComCode!=""><#assign a="1" /></#if></#list></#if>",
  "registNo":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if actualData.prplcregist?size gt s1?index && s1.registNo?? && s1.registNo!="" && a=="1">|</#if>${s1.registNo!}<#if s1.registNo?? && s1.registNo!=""><#assign a="1" /></#if></#list></#if>" <#-- "xx",//报案号 -->,
  "claimComCode":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if actualData.prplcregist?size gt s1?index && s1.deptCode?? && s1.deptCode!="" && a=="1">|</#if>${s1.deptCode!}<#if s1.deptCode?? && s1.deptCode!=""><#assign a="1" /></#if></#list></#if>" <#-- "xx",//理赔机构代码 -->,
  "reportorName":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if s1.prplreporter??><#if actualData.prplcregist?size gt s1?index && s1.prplreporter.reporterName?? && s1.prplreporter.reporterName!="" && a=="1">|</#if>${s1.prplreporter.reporterName!}<#if s1.prplreporter.reporterName?? && s1.prplreporter.reporterName!=""><#assign a="1" /></#if></#if></#list></#if>" <#-- "xx",//报案人名称 -->,
  "reportDate":"${actualData.reportDate!}" <#-- "xx",//报案时间 -->,
  "modelCode":"<#if actualData.prplcarlossdetail??><#assign a="0" /><#list actualData.prplcarlossdetail as s1><#if s1.prplcar??><#if actualData.prplcarlossdetail?size gt s1?index && s1.prplcar.carModelCode?? && s1.prplcar.carModelCode!="" && a=="1">|</#if>${s1.prplcar.carModelCode!}<#if s1.prplcar.carModelCode?? && s1.prplcar.carModelCode!=""><#assign a="1" /></#if></#if></#list></#if>" <#-- "xx",//车型 -->,
  "damageStartDate":"${actualData.damageStartDate!}" <#-- "xx",//出险时间 -->,
  "damageTypeDesc":"<#if actualData.prplcdamage??>${actualData.prplcdamage.damageName!}</#if>" <#-- "xx",//出险原因 -->,
  "reportorPhone":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if s1.prplreporter??><#if actualData.prplcregist?size gt s1?index && s1.prplreporter.reporterMobileNo?? && s1.prplreporter.reporterMobileNo!="" && a=="1">|</#if>${s1.prplreporter.reporterMobileNo!}<#if s1.prplreporter.reporterMobileNo?? && s1.prplreporter.reporterMobileNo!=""><#assign a="1" /></#if></#if></#list></#if>" <#-- "xx",//报案人电话 -->,
  "linkerName":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if s1.prpllinker??><#if actualData.prplcregist?size gt s1?index && s1.prpllinker.linkerName?? && s1.prpllinker.linkerName!="" && a=="1">|</#if>${s1.prpllinker.linkerName!}<#if s1.prpllinker.linkerName?? && s1.prpllinker.linkerName!=""><#assign a="1" /></#if></#if></#list></#if>" <#-- "xx",//联系人名称 -->,
  "comCode":"${comCode!}" <#-- "xx",//承保机构代码 -->,
  "brandCode":"<#if actualData.prplcarlossdetail??><#assign a="0" /><#list actualData.prplcarlossdetail as s1><#if s1.prplcar??><#if actualData.prplcarlossdetail?size gt s1?index && s1.prplcar.brandCode?? && s1.prplcar.brandCode!="" && a=="1">|</#if>${s1.prplcar.brandCode!}<#if s1.prplcar.brandCode?? && s1.prplcar.brandCode!=""><#assign a="1" /></#if></#if></#list></#if>" <#-- "xx",//品牌 -->,
  "longitude":"<#if actualData.prplcdamage??><#if actualData.prplcdamage.prpldamageaddress??>${actualData.prplcdamage.prpldamageaddress.longitude!}</#if></#if>" <#-- "xx",//经度 -->,
  "damageAddress":"${actualData.damageAddress!?replace("\t","")?replace("","")}" <#-- "xx",//出险地点 -->,
  "riskCode":"${riskCode!}" <#-- "xx",//险种代码 -->,
  "thridClaimComName":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if actualData.prplcregist?size gt s1?index && s1.thridClaimComName?? && s1.thridClaimComName!="" && a=="1">|</#if>${s1.thridClaimComName!}<#if s1.thridClaimComName?? && s1.thridClaimComName!=""><#assign a="1" /></#if></#list></#if>","phoneNumber":"<#if actualData.prplcregist??><#assign a="0" /><#list actualData.prplcregist as s1><#if s1.prpllinker??><#if actualData.prplcregist?size-1 gt s1?index && s1.prpllinker.linkerPhoneNo?? && s1.prpllinker.linkerPhoneNo!="" && a=="1">|</#if>${s1.prpllinker.linkerPhoneNo!}<#if s1.prpllinker.linkerPhoneNo?? && s1.prpllinker.linkerPhoneNo!=""><#assign a="1" /></#if></#if></#list></#if>" <#-- "xx",//联系人电话 -->,
  "comName":"${comName!}" <#-- "xx",//承保机构名称 -->,
  "damageCourse":"<#if actualData.prplcdamage??><#if actualData.prplcdamage.damageCourse??>${actualData.prplcdamage.damageCourse!?replace("","")?replace("\t","")}</#if></#if>" <#-- "xx",//出险经过 -->,

  "claimNo":"<#if actualData.prplclaim??><#if actualData.prplclaim.prplclaimloss??>${actualData.prplclaim.prplclaimloss.claimNo!}</#if></#if>" <#-- "xx",// 赔案号 -->,
  "claimDate":"<#if actualData.prplclaim??>${actualData.prplclaim.claimDate!}</#if>" <#-- "xx",//立案日期 -->,
  "policyNo":"<#if actualData.prplpolicy??>${actualData.prplpolicy.policyNo!}</#if>" <#-- "xx",//保单号码 -->,
  "comCode":"<#if actualData.prplpolicy??>${actualData.prplpolicy.comCode!}</#if>" <#-- "xx",// -->,
  "insuredCode":"<#if actualData.prplpolicy??>${actualData.prplpolicy.insuredCode!}</#if>" <#-- "xx",// -->,
  "insuredName":"<#if actualData.prplpolicy??>${actualData.prplpolicy.insuredName!}</#if>" <#-- "xx",// -->,
  "businessNatureCode":"<#if actualData.prplpolicy??>${actualData.prplpolicy.businessNatureCode!}</#if>" <#-- "xx",//业务来源代码 -->,
  "channelType":"<#if actualData.prplpolicy??>${actualData.prplpolicy.channelType!}</#if>" <#-- "xx",//渠道 -->,
  "applicantCode":"<#if actualData.prplpolicy??>${actualData.prplpolicy.applicantCode!}</#if>" <#-- "xx",//纬度 -->,
  "applicantName":"<#if actualData.prplpolicy??>${actualData.prplpolicy.applicantName!}</#if>" <#-- "xx",//纬度 -->,
  "sumclaim":"<#if actualData.prplclaim??>${actualData.prplclaim.sumclaim!}</#if>" <#-- "xx",//估损金额 -->,
  "sumChangeLoss":"<#if actualData.prplcasemodify??>${actualData.prplcasemodify.sumChangeLoss!}</#if>" <#-- "xx",// -->,
  "claimInputDate":"<#if actualData.prplclaim??><#if actualData.prplclaim.prplclaimloss??>${actualData.prplclaim.prplclaimloss.claimInputDate!}</#if></#if>" <#-- "xx",// -->
}}